- Qt 5.5
- Qt Multimedia
- C++ Classes
- QMediaAvailabilityControl
- Qt 5.5.1 Reference Documentation

# QMediaAvailabilityControl Class

The QMediaAvailabilityControl class supplies a control for reporting availability of a service. More...

Header: | #include <QMediaAvailabilityControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QMediaAvailabilityControl()
virtual QMultimedia::AvailabilityStatus | availability() const = 0

## Signals

void | availabilityChanged(QMultimedia::AvailabilityStatus availability)

## Protected Functions

| QMediaAvailabilityControl(QObject * parent = 0)

## Macros

| QMediaAvailabilityControl_iid

## Detailed Description

The QMediaAvailabilityControl class supplies a control for reporting availability of a service.

An instance of QMediaObject (or its derived classes) can report any changes in availability via this control.

The interface name of QMediaAvailabilityControl is `org.qt-project.qt.mediaavailabilitycontrol/5.0` as defined in QMediaAvailabilityControl_iid.

See also QMediaService::requestControl() and QMediaObject.

## Member Function Documentation

### `[protected]` QMediaAvailabilityControl::QMediaAvailabilityControl(QObject * parent = 0)

Constructs an availability control object with parent.

### QMediaAvailabilityControl::~QMediaAvailabilityControl()

Destruct the availability control object.

### `[pure virtual]` QMultimedia::AvailabilityStatus QMediaAvailabilityControl::availability() const

Returns the current availability of this instance of the media service. If the availability changes at run time (for example, some other media client takes all media resources) the availabilityChanges() signal should be emitted.

### `[signal]` void QMediaAvailabilityControl::availabilityChanged(QMultimedia::AvailabilityStatus availability)

Signal emitted when the current availability value changed.

## Macro Documentation

### QMediaAvailabilityControl_iid

`org.qt-project.qt.mediaavailabilitycontrol/5.0`

Defines the interface name of the QMediaAvailabilityControl class.